<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta charset="UTF-8">
<title>Edit Form</title>
<style>
	*{font: 12px tahoma;}
	#all {margin:auto;
			width:833px;		
			padding:5px;
			background:#ddf;}
	body {background: url(images/bg.jpg);
		     min-width: 700px;}	
   #head{margin:auto;
			   font:20px tahoma;
			   color:#009;
			   text-align:center;
			   width:840px;
			   height:30px;
			   background:#ddf;}    
	select{background: #eee none repeat scroll 0 0;
			  border: 1px solid gray;}
   #readonly p{color: red;}    
	/*input{background: #eee none repeat scroll 0 0;}*/
  #bg{
		margin-top: 10px;
		width:830px;	
		padding:5px;
		color: crimson;
		background:#ddf;
	   border:2px solid rgba(186,186,186,1.00);
	}
	#bg p{font-size: 20px;}     
</style>
</head>
<body>
    
<script type="text/javascript">
function nextbox(e, id) {
   // อ่าน keycode (cross browser)
    var keycode = e.which || e.keyCode;
    // ตรวจสอบ keycode (13 คือ กด enter)
    if (keycode == 13) {
        // ย้ายโฟกัสไปยัง input ที่ id
        document.getElementById(id).focus();
        // return false เพื่อยกเลิกการ submit form
        return false;
    }
}
</script>     
    
<?php
error_reporting(0);

include "functions/dblink.php";	

//ถ้าเป็นการ Postback เพื่อส่งข้อมูลกลับเข้ามา
if(isset($_POST['SMNO']))
{     //นำข้อมูลจากตัวแปร $_POST ทีเหลือมาเรียงต่อเป็นสตริงเดียวกันโดยขั้นด้วย ' , '
	$values=implode("','",$_POST);     //ลักษณะผลลัพธ์เช่น  a',  'b',  'c', 'd	
      //ปิดหัว ท้าย ด้วย ' เพื่อให้ครบคู่ ลักษณะผลลัพธ์จะเป็น 	'a',  'b',  'c', 'd'
    $values="'".$values."'";
  
      //นำข้อมูลนั้นมาสร้างเป็น  SQL ในแบบคำสั่ง REPLACE
    $sql="REPLACE INTO sale001 VALUES($values)";				  
    $replace=mysqli_query($con,$sql);
	if(!$replace){echo mysqli_error($con);}
    else{
      echo "<script>alert('บันทึกข้อมูลเรียบร้อย !');
             location.href=('actionController.php?action=seller/retrieveSeller1Action');  
            </script>"; 
    }
    ?> 
		?>    
        </div>    
<?php }
							
//--------------			
if(isset($_GET['action'])){
	$action=$_GET['action'];
	//ถ้าเป็นเพิ่มข้อมูล ก็ไม่ต้องทำอะไร เพื่อให้ฟอร์มนั้นว่างเปล่าสำหรับรับข้อมูลใหม่
	//if($action=="insert")
 	if($action=="seller/editSeller1Action"){//ถ้าเป็นการแก้ไข ต้องอ่านข้อมูลเดิมมาเติมลงในฟอร์ม
								$id=$_GET['SMNO'];
								$h="แก้ไขข้อมูล";
								$sql="SELECT * FROM sale001 WHERE SMNO=$id";
								$result=mysqli_query($con,$sql);						
								$data=mysqli_fetch_array($result);
 	}
}

function back()
	{
		global $con;
		mysqli_close($con);	
		//exit("<p><a href=\"assetList.php\">ย้อนกลับ</a></p></body></html>");
		exit("<p><a href=\"actionController.php?action=seller/retrieveSeller1Action\">
											ย้อนกลับ</a>
				  </p></body></html>");
	}

mysqli_close($con);	
?>

<div id="head">แบบฟอร์มแก้ไขข้อมูลตัวแทนขาย</div>
<div id="all" align="center">

<form name="form1" method="post" id="readonly"> 
	<table  width="929">
     <tr>
		 <td width="83" align="right"><p>ID : </p></td>
      	 <td width="78"><input type="text" name="SMNO" id="SMNO" size="11" readonly
                               value="<?php echo $data['SMNO']; ?>"></td>
		 <td width="120" align="right">ประเภท : </td>
      	 <td width="655"><input type="text" name="SMKIND" id="SMKIND" size="20" 
                                value="<?php echo $data['SMKIND']; ?>"
                                onkeydown="return nextbox(event, 'SMSUR');"></td> 
	 </tr>
	</table>
   
    <table width="929">
     <tr>
      <td width="81" align="right">ชื่อ : </td>    
      <td width="835"><input type="text" name="SMSUR" id="SMSUR" size="8"
                               value="<?php echo $data['SMSUR']; ?>"
                               onkeydown="return nextbox(event, 'SMFNAME');">
     
	  		  <input type="text" name="SMFNAME" id="SMFNAME" size="20"
                 value="<?php echo $data['SMFNAME']; ?>"
                 onkeydown="return nextbox(event, 'SMLNAME');">
	  
	  		  <input type="text" name="SMLNAME" id="SMLNAME" size="30"
                 value="<?php echo $data['SMLNAME']; ?>"
                 onkeydown="return nextbox(event, 'SMNOTE');"> 
	  </td>  
    </tr>
    </table>
 
    <table width="929">
    <tr>
		<td width="80" style='text-align:right;'>Note : </td>
        <td><input type="text" name="SMNOTE" id="SMNOTE" size="100"
                    value="<?php echo $data['SMNOTE']; ?>"
                    onkeydown="return nextbox(event, 'SMKIND');">
        </td>      
    </tr>
  </table>  
  <!-- </table> -->
   
  <table width="921">    
    <br>  
    <tr>  
      <td align="center"><button>บันทึกข้อมูล(Save)</button> &nbsp;&nbsp;
           <a href='actionController.php?action=seller/retrieveSeller1Action'>ย้อนกลับ</a>
       </td>
    </tr>
  </table> 
</form>      
</div>                                       
<!-- </fieldset> -->
</body>
</html>